#! /bin/python3

from random import choice
from flask import Flask, render_template
from configparser import ConfigParser

app = Flask(__name__,
            static_url_path='',
            static_folder='static',
            template_folder='templates')

config = ConfigParser()
config.read('config.ini')

@app.route("/")
def hello():
    title = config.get('main', 'title')
    separator = config.get('main', 'separator')
    separator_char = config.get('main', 'separator_char')
    ablines = []

    lines = getContent()
    for line in lines:
        ab = line.split(separator_char)
        ablines.append(
            {'A': str(ab[0]), 'B': str(ab[1])}
        )

    return render_template('index.html', title=title, separator=separator, content=ablines)

def getContent():
    lines = [a.strip() for a in open("ab.txt").readlines()]
    result = [choice(lines) for a in range(5)]

    return result

if __name__ == "__main__":
    from waitress import serve
    serve(app, host='0.0.0.0', port=5000, ident='a/b game')
